Index: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/messages.properties	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/messages.properties	(revision 3870)
@@ -0,0 +1,2 @@
+CantLoadAChartWhichIsNotAFile=RasterComposite can't load a chart which is not a file: 
+LoadingRasterImageFromFileP0=Loading raster image from file: {0}...

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/Messages.java	(revision 3870)
@@ -0,0 +1,16 @@
+package org.txm.chartsengine.raster.rcp;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
+	public static String CantLoadAChartWhichIsNotAFile;
+	public static String LoadingRasterImageFromFileP0;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+
+	private Messages() {
+	}
+}

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/swt/RasterComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/swt/RasterComposite.java	(revision 3869)
+++ TXM/trunk/bundles/org.txm.chartsengine.raster.rcp/src/org/txm/chartsengine/raster/rcp/swt/RasterComposite.java	(revision 3870)
@@ -12,6 +12,7 @@
 import org.eclipse.swt.widgets.Composite;
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.Label;
+import org.txm.chartsengine.raster.rcp.Messages;
 import org.txm.chartsengine.rcp.IChartComponent;
 import org.txm.chartsengine.rcp.editors.ChartEditor;
 import org.txm.chartsengine.rcp.events.EventCallBackHandler;
@@ -124,7 +125,7 @@
 		if (chart instanceof File) {
 			this.loadRasterFile((File) chart);
 		} else {
-			Log.warning("RasterComposite can't load a chart which is not a file: "+chart);
+			Log.warning(Messages.CantLoadAChartWhichIsNotAFile+chart);
 		}
 	}
 	
@@ -156,7 +157,7 @@
 	 */
 	public void loadRasterFile(File file) {
 		
-		Log.info(TXMCoreMessages.bind("Loading raster image from file: {0}...", file));
+		Log.info(TXMCoreMessages.bind(Messages.LoadingRasterImageFromFileP0, file));
 		
 		this.file = file;
 		if (this.image != null) {
@@ -178,7 +179,7 @@
 	@Override
 	public void copyChartViewToClipboard() {
 		// TODO Auto-generated method stub
-		System.err.println("RasterComposite.copyChartViewToClipboard(): not implemented.");
+		System.err.println("RasterComposite.copyChartViewToClipboard(): not implemented."); //$NON-NLS-1$
 	}
 	
 	
@@ -202,12 +203,12 @@
 	@Override
 	public void clearChartItemsSelection() {
 		// TODO Auto-generated method stub
-		System.err.println("RasterComposite.clearChartItemsSelection(): not implemented.");
+		System.err.println("RasterComposite.clearChartItemsSelection(): not implemented."); //$NON-NLS-1$
 	}
 	
 	@Override
 	public File exportView(File file, String fileFormat) {
-		System.out.println("RasterComposite.exportView(): not yet implemented.");
+		System.out.println("RasterComposite.exportView(): not yet implemented."); //$NON-NLS-1$
 		return null;
 	}
 	
